vla-get-ActiveSelectionSet


Recommended Posts

Błąd w działaniu funkcji: vla-get-ActiveSelectionSet

AC:

Command: (not (zerop (vla-get-Count (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object))))))
nil

Command: _circle Specify center point for circle or [3P/2P/Ttr (tan tan radius)]:
Specify radius of circle or [Diameter]:

Command: (ssget "_x")


Command: (not (zerop (vla-get-Count (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object))))))
T

ZW:

Polecenie: (not (zerop (vla-get-Count (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object))))))
nil

Polecenie: _circle
(2P) 2punkty/(3P) 3 punkty/(T) styczny(styczny styczny promień)/(A) łuk/(M) wiele/<Środek okręgu>: 
(D)średnica/<(R)promień>:

Polecenie: (ssget "_x")


Polecenie: (not (zerop (vla-get-Count (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-acad-object))))))
błąd: *BŁĄD*
(VLA-GET-ACTIVESELECTIONSET (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT)))
(VLA-GET-COUNT (VLA-GET-ACTIVESELECTIONSET (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT))))
(ZEROP (VLA-GET-COUNT (VLA-GET-ACTIVESELECTIONSET (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT)))))
(NOT (ZEROP (VLA-GET-COUNT (VLA-GET-ACTIVESELECTIONSET (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT))))))

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share